<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package news_press_release
 */

$news_press_release_single_meta_setting  = get_theme_mod( 'news_press_release_single_post_meta_setting' , true );
$news_press_release_single_content_setting  = get_theme_mod( 'news_press_release_single_post_content_setting' , true );

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">
		<?php

		if ( 'post' === get_post_type() ) : ?>
			<?php
			if ( $news_press_release_single_meta_setting ){ ?>
			<div class="entry-meta">
				<?php news_press_release_posted_on(); ?>
			</div><!-- .entry-meta -->
		<?php } ?>
		<?php
		endif; ?>
	</header><!-- .entry-header -->
    
    <?php
	if ( $news_press_release_single_content_setting ){ ?>
		<div class="entry-content" itemprop="text">
			<?php
			if( is_single()){
				the_content( sprintf(
					/* translators: %s: Name of current post. */
					wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'news-press-release' ), array( 'span' => array( 'class' => array() ) ) ),
					the_title( '<span class="screen-reader-text">"', '"</span>', false )
				) );
				}else{
				$news_press_release_excerpt_length = get_theme_mod('news_press_release_post_excerpt_length' ,20);
				    $content = get_the_content();
				    echo esc_html(wp_trim_words($content, $news_press_release_excerpt_length));
				}
				wp_link_pages( array(
					'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'news-press-release' ),
					'after'  => '</div>',
				) );
			?>
		</div><!-- .entry-content -->
	<?php } ?>
</article><!-- #post-## -->